Bug 860301 - forgot username and reset password: no confirmation and user action not clear
forgot username and reset password: no confirmation and user action not clear
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: David Davis
Katello QA List
: Triaged
Depends On:
Blocks: 882247
  Show dependency treegraph
 
Reported: 2012-09-25 09:59 EDT by Aaron Weitekamp
Modified: 2013-09-19 14:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 882247 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:11:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reset password (71.36 KB, image/jpeg)
2012-09-25 09:59 EDT, Aaron Weitekamp
no flags Details
Forgot username (74.83 KB, image/jpeg)
2012-09-25 09:59 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-09-25 09:59:12 EDT
Created attachment 617065 [details]
reset password

Description of problem:
When selecting "Forgot Username or Password?" user is not taken to a confirmation screen. An email is sent in the background but the UI does not change. It feels like nothing has happened.

Also it is not at all clear what the circle icon does.


Version-Release number of selected component (if applicable):
v.1.1
[root@qeblade40 Dev]# rpm -qa |grep katello
katello-cli-common-1.1.8-5.el6cf.noarch
katello-1.1.12-9.el6cf.noarch
katello-glue-pulp-1.1.12-9.el6cf.noarch
katello-all-1.1.12-9.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-common-1.1.12-9.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-4.el6cf.noarch
katello-glue-candlepin-1.1.12-9.el6cf.noarch
katello-qpid-client-key-pair-1.0-1.noarch
katello-cli-1.1.8-5.el6cf.noarch


How reproducible:
100%

Steps to Reproduce:
1. Go to login screen
2. select "Forgot Username or Password?"
3. complete form and submit

Actual results:


Expected results:
UI should confirm an email has been sent and provide basic instruction to user. Circle icon should be changed to text "Login" or equivalent.

Comment:
This may seem like an RFE but the behavior really feels broken to me, or at least half-baked.
Comment 1 Aaron Weitekamp 2012-09-25 09:59:35 EDT
Created attachment 617066 [details]
Forgot username
Comment 2 Aaron Weitekamp 2012-09-25 10:06:43 EDT
Also, when a user enters a new password there's no confirmation the password has been changed. Clicking the mysterious circle icon returns a page with text "Unknown action The action 'show' could not be found for UserSessionsController". The only way to login after resetting password is to change the URL in the browser location bar to [myHost]/katello
Comment 4 Mike McCune 2012-10-10 10:33:12 EDT
agreed, that page is a bit confusing now since there is zero feedback after a submit.
Comment 5 David Davis 2012-12-03 12:53:22 EST
It looks like the code here is relying on our notices.js/notify stuff which requires that a user be logged in. Talking to some people, I found out that Lukas may have dealt with this problem before (notifying a user that's not logged in) so I am hoping he can maybe point me to some code that does this.
Comment 6 David Davis 2012-12-03 19:04:06 EST
The back button/arrow should be fixed in the latest release of alchemy.
Comment 7 David Davis 2012-12-03 19:08:17 EST
To be more specific, the back arrow was fixed in commit cd7d623c0fc25297944a636f70fc268ff4efc762 of alchemy.
Comment 8 David Davis 2012-12-11 11:04:10 EST
Katello commits:

10754139fdd2c876232d28faeff93e76e3642f07

cd164b2ea06f15be4c93f89945d51ec1b595892d
Comment 9 David Davis 2012-12-11 11:05:50 EST
I also noticed if you're using rails_warden >= 0.5.5, if you put in an incorrect username or password, it doesn't show you any message.
Comment 10 Mike McCune 2013-08-16 13:57:37 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 11 Mike McCune 2013-09-19 14:11:51 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.